import type { TurboModule } from 'react-native';
import { TurboModuleRegistry } from 'react-native';

export interface Spec extends TurboModule {
  reload(): void;
  // 好像用不到
  update(name: string): void;
}

export default TurboModuleRegistry.getEnforcing<Spec>(
  'UpdateManager',
) as Spec;
